pumount(1)

NAME
pumount - umount arbitrary hotpluggable devices as normal user

SYNOPSIS

pumount [ options ] device

DESCRIPTION

pumount is a wrapper around the standard umount program which permits normal users to umount removable devices without a matching /etc/fstab entry.

pumount also supports encrypted devices which use dm-crypt and have LUKS metadata. If a LUKS-capable cryptsetup is installed, pumount will umount the mapped device instead and call cryptsetup to close the decrypted device afterwards.

pumount expects the device as its only argument. This will umount device from a directory below /media if policy is met (see below).

Please note that, as with pmount, you can use labels and uuids as described in fstab (5) for devices present in /etc/fstab. In this case, the device name need to match exactly the corresponding entry in /etc/fstab, including the LABEL= or UUID= part.

OPTIONS

-l, --lazy
    Lazy unmount. Detach the filesystem from the filesystem hierarchy now, and cleanup all references to the filesystem as soon as it is not busy anymore. (Requires kernel 2.4.11 or later.)

--luks-force
    Normally, pumount will not luksClose (see cryptsetup(1)) a device pmount did not open. However, you can bypass this restriction with this flag. You probably will need it if you did mess around with the /var/lock/pmount_luks directory.

-h, --help
    Print a help message and exit successfully.

-d, --debug
    Enable verbose debug messages.

--version
    Print the current version number and exit successfully.

POLICY

The umount will succeed if all of the following conditions are met:

•   device is a block device in /dev/ (it does not need to exist if -l is supplied)

•   device is not in /etc/fstab (if it is, pmount executes umount device as the calling user to handle this transparently)

•   device is mounted according to /etc/mtab and /proc/mounts with the calling user's uid

•   mount point is in /media

SEE ALSO

pmount(1), cryptsetup(1), umount(8)

AUTHOR
pmount is developed by Martin Pitt <martin.pitt@canonical.com>.